# !/usr/bin/python
# -- coding: utf-8 --
#****************************************************************#
# ScriptName: calculate_rouge
# Author: Alibaba
#***************************************************************#
import sys
from utils import normalize
from utils import compute_bleu_rouge

def process(file_pth, is_gold_file=False):
    dict_result = {}
    with open(file_pth, 'r') as f:
        for cnt, line in enumerate(f):
            if is_gold_file:
                dict_result[cnt] = normalize(line.strip().split("\t"))
            else:
                dict_result[cnt] = normalize([line.strip()])
    return dict_result
    
def cal_rouge(gold_pth, pred_pth):
    gold_dict = process(gold_pth, is_gold_file=True)
    pred_dict = process(pred_pth)
    bleu_rouge = compute_bleu_rouge(pred_dict, gold_dict)
    print (('Eval result: {}'.format(bleu_rouge)))

if __name__ == "__main__":
    gold_pth = sys.argv[1]
    pred_pth = sys.argv[2]
    cal_rouge(gold_pth, pred_pth)
